package com.huyi.service.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 融资记录表
 * </p>
 *
 * @author xuefy
 * @since 2021-08-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("zc_finance_record")
public class ZcFinanceRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId("zfr_id")
    private String zfrId;

    /**
     * 融信ID(zc_finance_inf.zfi_id)
     */
    @TableField("zfr_finance_id")
    private String zfrFinanceId;

    /**
     * 融资金额
     */
    @TableField("zfr_amount")
    private String zfrAmount;

    /**
     * 融资利率
     */
    @TableField("zfr_rate")
    private String zfrRate;

    /**
     * 经办人
     */
    @TableField("zfr_handler")
    private String zfrHandler;

    /**
     * 承诺还款时间
     */
    @TableField("zfr_repayment_date")
    private Date zfrRepaymentDate;

    /**
     * 融资申请日期
     */
    @TableField("zfr_apply_date")
    private Date zfrApplyDate;

    /**
     * 融资放款日期
     */
    @TableField("zfr_loan_date")
    private Date zfrLoanDate;

    /**
     * 已还款金额
     */
    @TableField("zfr_apply_amount")
    private String zfrApplyAmount;

    /**
     * 还款方式(0:线下, 1:线上)
     */
    @TableField("zfr_apply_type")
    private String zfrApplyType;

    /**
     * 状态
     */
    @TableField("zfr_status")
    private String zfrStatus;

    /**
     * 备用字段1
     */
    @TableField("zfr_profit_spare1")
    private String zfrProfitSpare1;

    /**
     * 备用字段2
     */
    @TableField("zfr_profit_spare2")
    private String zfrProfitSpare2;

    /**
     * 备用字段3
     */
    @TableField("zfr_profit_spare3")
    private String zfrProfitSpare3;

    /**
     * 备用字段4
     */
    @TableField("zfr_profit_spare4")
    private String zfrProfitSpare4;

    /**
     * 备用字段5
     */
    @TableField("zfr_profit_spare5")
    private String zfrProfitSpare5;

    /**
     * 备用字段6
     */
    @TableField("zfr_profit_spare6")
    private String zfrProfitSpare6;

    /**
     * 备用字段7
     */
    @TableField("zfr_profit_spare7")
    private String zfrProfitSpare7;

    /**
     * 备用字段8
     */
    @TableField("zfr_profit_spare8")
    private String zfrProfitSpare8;

    /**
     * 备用字段9
     */
    @TableField("zfr_profit_spare9")
    private String zfrProfitSpare9;

    /**
     * 创建者
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 更新者
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Date updateTime;


}
