package com.huyi.service.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 发票明细表
 * </p>
 *
 * @author xuefy
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("zc_invoice_inf")
public class ZcInvoiceInf implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId("zii_id")
    private String ziiId;

    /**
     * 发票编号
     */
    @TableField("zii_no")
    private String ziiNo;

    /**
     * 开票日期
     */
    @TableField("zii_date")
    private Date ziiDate;

    /**
     * 开票金额(价税合计)
     */
    @TableField("zii_amount")
    private String ziiAmount;

    /**
     * 开票类型
     */
    @TableField("zii_type")
    private String ziiType;

    /**
     * 购方名称
     */
    @TableField("zii_purchaser_name")
    private String ziiPurchaserName;

    /**
     * 购方识别号
     */
    @TableField("zii_purchaser_no")
    private String ziiPurchaserNo;

    /**
     * 销方名称
     */
    @TableField("zii_seller_name")
    private String ziiSellerName;

    /**
     * 销方识别号
     */
    @TableField("zii_seller_no")
    private String ziiSellerNo;

    /**
     * 合计金额
     */
    @TableField("zii_total_amount")
    private String ziiTotalAmount;

    /**
     * 附件(pub_file_inf.pfi_file_id)
     */
    @TableField("zii_file")
    private String ziiFile;

    /**
     * 所属企业
     */
    @TableField("zii_company_id")
    private String ziiCompanyId;

    /**
     * 创建者
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 更新者
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Date updateTime;


}
